krusader(1)

krusader - gestor de ficheiros e cliente de FTP avançado com painéis duplos do KDE

krusader [Opções] URL

Descrição

O Krusader é um gestor de ficheiros avançado de painel duplo (semelhante ao Commander) para o Plasma e outros ambientes do mundo *nix, semelhante ao Midnight ou ao Total Commander. Oferece todas as funcionalidades de gestão de ficheiros que possa desejar. Para além disso, tratamento completo de pacotes, suporte para sistemas de ficheiros montados, FTP, módulos de pesquisa avançados, visualizador/editor, sincronização de pastas, comparação dos conteúdos dos ficheiros, mudança de nomes de ficheiros em lote, e muito mais. Suporta os seguintes formatos de pacotes: ace, arj, bzip2, deb, gzip, iso, lha, rar, rpm, tar, xz, zip e 7-zip, e é capaz de lidar com outros KIOSlaves, como o smb:// ou o fish://. É configurável por completo (quase), muito amigável, rápido e encaixa-se bem no seu ambiente de trabalho! :-) Experimente-o.

Opções

-h --help
    apresenta as opções disponíveis na linha de comandos

-v --version
    apresenta a informação da versão do Krusader

--author
    mostrar os autores

--license
    mostrar a licença

--left <localização>
    iniciar o painel esquerdo na <localização>

--right <localização>
    iniciar o painel direito na <localização>

--profile <perfil-painel>
    carregar o <perfil-painel> no arranque

-d --debug
    activa o resultado de depuração

URL
    se já existir uma página aberta com esse URL, ficará activada, caso contrário será aberta uma nova página no painel activo

Exemplos

    • $ krusader --left=/mnt/cdrom --right=ftp://transferencias@meu-servidor.net

    • $ krusader --left=/home,/usr,smb://grupotrabalho --right=fish://meu-servidor.net

    • $ krusader --profile=gestao_ftp

Ficheiros

Ficheiros de configuração:

~/.config/krusaderrc

~/.local/share/krusader/krbookmarks.xml ou krusader/krbookmarks.xml na pasta que pode ser consultada com o comando qtpaths --paths GenericDataLocation

~/.local/share/krusader/useractions.xml ou krusader/useractions.xml na pasta que pode ser consultada com o comando qtpaths --paths GenericDataLocation

/usr/share/kxmlgui5/krusader/krusaderui.rc

~/.local/share/kxmlgui5/krusader/krusaderui.rc ou kxmlgui5/krusader/krusaderui.rc na pasta que pode ser consultada com o comando qtpaths --paths GenericDataLocation

Plataformas

Todas as POSIX: Linux, Solaris, Todas as Plataformas BSD: FreeBSD, MacOS-X

KDE 2.x

O krusader v1.01 está estável mas não estão planeadas alterações.

KDE 3.x

O Krusader v1.01 necessita do KDElibs 2

O Krusader v1.02 - 1.40 necessita da KDElibs 3

O Krusader 1.40 prefere o >= KDE 3.2

Krusader v1.50 - v1.51: KDE 3.2 - KDE 3.3

Krusader v1.60.0- v1.70.0: KDE 3.3 - KDE 3.4

Krusader 1.70.x-1.80.x: KDE 3.4 - KDE 3.5

KDE 4.x

Krusader 2.0-2.4: KDE 4

Plataformas do KDE 5

Krusader 2.5 e posterior

A última versão do Krusader poder-se-á encontrar na página Web do Krusader[1].

Características

Funcionalidades de gestão de ficheiros OFM.

Orientação sólida com o teclado.

Visualizador e editor interno poderoso.

Módulo de pesquisa avançado que poderá pesquisar em pacotes. Suporta: ace, arj, bzip2, deb, gzip, iso, lha, rar, rpm, tar, xz, zip e 7-zip.

Comparação e filtragem de pastas.

Cliente de FTP/Samba com gestor de ligações que possui suporte para SFTP/SCP.

Sincronizador, Acções do Utilizador, Consola Incorporada.

Comparar ficheiros por conteúdo. Edição simples de permissões dos ficheiros.

Utilização do disco, cálculo do espaço ocupado, criação-verificação de códigos de validação.

Tratamento completo de tipos MIME (com ou sem dados).

Gestor de Montagens, Localização, suporte para o KRename.

Modo de Administrador, painéis por páginas, barra lateral. Modos de selecção do rato.

Perfis para painéis, combinações de teclas, cores.

Para mais funcionalidades, leia o documento em http://docs.kde.org/development/en/extragear-utils/krusader/features.html

Licença

O Krusader é distribuído de acordo com os termos da Licença Pública Geral da GNU.

Versão 2 da licença, publicada pela Free Software Foundation.

Veja a ajuda incorporada para saber mais detalhes sobre a licença e a ausência de garantias.

Os direitos de cópia do projecto e o seu nome ainda são detidos por Shie Erlich e Rafi Yanai.

i18n

O Krusader está traduzido para várias línguas.

http://l10n.kde.org/stats/gui/trunk-kf5/po/krusader.po/

Leia o manual de traduções do KDE[2], caso queira traduzir o Krusader para a sua língua nativa.

FAQ

A última versão da FAQ do KRUSADER FAQ poderá ser encontrada na página de documentação do KDE[3].

Veja Também
    O Manual do Krusader, no menu de ajuda do mesmo.
    kf5options(7)
    qt5options(7)

Autores

O Krusader é desenvolvido por uma equipa dedicada de indivíduos, conhecidos como a Krusader Krew.

Shie Erlich, autor [erlich {*} users {.} sourceforge {.} net] (desvinculado)

Rafi Yanai, autor [yanai {*} users {.} sourceforge {.} net] (desvinculado)

Dirk Eschler, administrador Web [deschler {*} users {.} sourceforge {.} net] (desvinculado)

Csaba Karai, Programador [ckarai {*} users {.} sourceforge {.} net] (desvinculado)

Heiner Eichmann, Programador [h {.} eichmann {*} gmx.de] (desvinculado)

Jonas Baehr, Programador [jonas.baehr {*} web.de] (desvinculado)

Vaclav Juza, Programador [vaclavjuza {*} seznam {.} cz] (desvinculado)

Jan Lepper, Programador [jan_lepper {*} gmx {.} de] (desvinculado)

Andrey Matveyakin, Programador [a.matveyakin {*} gmail {.} com] (desvinculado)

Davide Gianforte, Programador [davide {*} gengisdave {.} org]

Alexander Bikadorov, Programador [alex.bikadorov {*} kdemail {.} net]

Martin Kostolny, Programador [clearmartin {*} zoho {.} com]

Toni Asensi Esteve, Programador [toni.asensi {*} kdemail {.} net]

Nikita Melnichenko, Programador [nikita+kde {*} melnichenko {.} name]

Frank Schoolmeesters, Coordenador da Documentação & Marketing [frank_schoolmeesters {*} yahoo {.} com] (desvinculado)

Richard Holt, Documentação & Edição [richard {.} holt {*} gmail {.} com] (desvinculado)

Matej Urbancic, Pesquisa de 'Marketing' & Produto [matej {*} amis {.} net] (desvinculado)

Yuri Chornoivan, Documentação <yurchor@ukr.net>

O projecto é desenvolvido com o KDevelop e com o Qt Designer.

Problemas

Veja o ficheiro TODO na distribuição para obter informações sobre o que ainda há a fazer.

Para correcções, modificações e comentários, envie um e-mail para <krusader-devel@googlegroups.com>.

Equipa do Krusader

Krusader Krew <krusader-devel@googlegroups.com>
    Página de manual do Krusader.

1.  página Web do Krusader
    https://krusader.org/

2.  manual de traduções do KDE
    http://l10n.kde.org/docs/translation-howto/

3.  página de documentação do KDE
    http://docs.kde.org/development/en/extragear-utils/krusader/faq.html